Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQXmlDefaultHandler Class Reference
[XML module]

The TQXmlDefaultHandler class provides a default implementation of all the XML handler classes. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqxml.h>`

Inherits TQXmlContentHandler, TQXmlErrorHandler, TQXmlDTDHandler, TQXmlEntityResolver, TQXmlLexicalHandler, and TQXmlDeclHandler.

List of all member functions.

## Public Members

- TQXmlDefaultHandler ()
- virtual ~TQXmlDefaultHandler ()

## Detailed Description

The TQXmlDefaultHandler class provides a default implementation of all the XML handler classes.

Very often we are only interested in parts of the things that the reader reports. This class implements a default behaviour for the handler classes (i.e. most of the time do nothing). Usually this is the class you subclass for implementing your own customized handler.

See also the Introduction to SAX2.

See also TQXmlDTDHandler, TQXmlDeclHandler, TQXmlContentHandler, TQXmlEntityResolver, TQXmlErrorHandler, TQXmlLexicalHandler, and XML.

## Member Function Documentation

### TQXmlDefaultHandler::TQXmlDefaultHandler ()

Constructor.

### TQXmlDefaultHandler::~TQXmlDefaultHandler ()`[virtual]`

Destructor.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.